Bug 177695 - mkfs fails with 1.1TB software RAID 0 array
mkfs fails with 1.1TB software RAID 0 array
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 17:21 EST by Rigoberto Corujo
Modified: 2015-01-07 19:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-28 02:20:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rigoberto Corujo 2006-01-12 17:21:59 EST
Description of problem:

I am entering this bug on behalf of a customer since I don't have the hardware 
capacity to reproduce this problem.  Below is the customer's report.

---------------------------------------------------------

Here is what we did. We have 8, 146GB drives on an MSA30, with 4 drives on each 
bus.

Here is the failure, and further on down, I'll show you that it works with 7 
drives:

[root@cn17 conf]# mdadm --create /dev/md0 --level=0 --raid-devices=8
--chunk=64 /dev/sd[abcdefgh]1
mdadm: /dev/sda1 appears to contain an ext2fs file system
    size=143372060K  mtime=Thu Jan 12 14:51:33 2006
mdadm: /dev/sda1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdb1 appears to contain an ext2fs file system
    size=1003603776K  mtime=Wed Jan 11 15:17:53 2006
mdadm: /dev/sdb1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdc1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdd1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sde1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdf1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdg1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006
mdadm: /dev/sdh1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 11:06:08 2006 Continue creating array? y
mdadm: array /dev/md0 started.


[root@cn17 conf]# mkfs.ext3 /dev/md0
mke2fs 1.32 (09-Nov-2002)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
411811840 inodes, 823614848 blocks
41180742 blocks (5.00%) reserved for the super user
First data block=0
25135 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 
2654208,
        4096000, 7962624, 11239424, 20480000, 23887872, 71663616, 78675968,
        102400000, 214990848, 512000000, 550731776, 644972544

mkfs.ext3: Invalid argument while zeroing block 823614832 at end of 
filesystem
Writing inode tables:  8751/25135
Could not write 8 blocks in inode table starting at 286752770: Invalid 
argument



Here is where it works:

[root@cn17 conf]# mdadm --create /dev/md0 --level=0 --raid-devices=7 
--chunk=64 /dev/sd[abcdefg]1
mdadm: /dev/sda1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sdb1 appears to contain an ext2fs file system
    size=1003603776K  mtime=Wed Jan 11 15:17:53 2006
mdadm: /dev/sdb1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sdc1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sdd1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sde1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sdf1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
mdadm: /dev/sdg1 appears to be part of a raid array:
    level=0 devices=8 ctime=Thu Jan 12 15:44:30 2006
Continue creating array? y
mdadm: array /dev/md0 started.

[root@cn17 conf]# mkfs.ext3 /dev/md0
mke2fs 1.32 (09-Nov-2002)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
125452288 inodes, 250900944 blocks
12545047 blocks (5.00%) reserved for the super user
First data block=0
7657 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 
2654208,
        4096000, 7962624, 11239424, 20480000, 23887872, 71663616, 78675968,
        102400000, 214990848

Writing inode tables: done                           
Creating journal (819
Added Date:2006-01-12 17:05:27.0 
Added By:ttapi
2 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 22 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.

All drives were formatted with 1 RAID partition (0xfd) using the fdisk 
command.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.